# -*- cperl -*-
# ABSTRACT: LaTeX mathelement object


use strict;
use warnings;
package SpeL::Object::MathElement;

use SpeL::Object::Command;
use SpeL::Object::Function;
use SpeL::Object::Squareroot;
use SpeL::Object::Variable;
use SpeL::Object::Realnumber;
use SpeL::Object::Limitsexpression;
use SpeL::Object::MathGroup;

use parent 'Exporter';
use Carp;

use Data::Dumper;



1;

__END__

=pod

=encoding UTF-8

=head1 NAME

SpeL::Object::MathElement - LaTeX mathelement object

=head1 VERSION

version 20240610

=head1 METHODS

=head2 new()

We keep the default method, as the object is generated by the parser.

=head1 SYNOPSYS

Represents a LaTeX mathelement

=head1 AUTHOR

Walter Daems <wdaems@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is Copyright (c) 2024 by Walter Daems.

This is free software, licensed under:

  The GNU General Public License, Version 3, June 2007

=head1 CONTRIBUTOR

=for stopwords Paul Levrie

Paul Levrie

=cut
