# -*- cperl -*-
# ABSTRACT: LaTeX  mathenvironment object


use strict;
use warnings;
package SpeL::Object::MathEnvironment;

use SpeL::Object::Option;
use SpeL::Object::MathElementList;
use SpeL::I18n;

use parent 'Exporter';
use Carp;

use Data::Dumper;




sub read {
  my $self = shift;
  my ( $level ) = @_;

  return
    join( ', ',
	  map { $_->read( $level + 1 ) } @{$self->{MathUnit}} );
}

1;

__END__

=pod

=encoding UTF-8

=head1 NAME

SpeL::Object::MathEnvironment - LaTeX  mathenvironment object

=head1 VERSION

version 20240610

=head1 METHODS

=head2 new()

We keep the default method, as the object is generated by the parser.

=head2 read( level )

returns a string with the spoken version of the node

=over 4

=item level: parsing level

=back

=head1 SYNOPSYS

Represents a LaTeX  mathenvironment

=head1 AUTHOR

Walter Daems <wdaems@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is Copyright (c) 2024 by Walter Daems.

This is free software, licensed under:

  The GNU General Public License, Version 3, June 2007

=head1 CONTRIBUTOR

=for stopwords Paul Levrie

Paul Levrie

=cut
